<?php
namespace Magento\Review\Model\ResourceModel\Review\Summary;

/**
 * Interceptor class for @see \Magento\Review\Model\ResourceModel\Review\Summary
 */
class Interceptor extends \Magento\Review\Model\ResourceModel\Review\Summary implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Model\ResourceModel\Db\Context $context, $connectionName = null)
    {
        $this->___init();
        parent::__construct($context, $connectionName);
    }

    /**
     * {@inheritdoc}
     */
    public function appendSummaryFieldsToCollection(\Magento\Catalog\Model\ResourceModel\Product\Collection $productCollection, int $storeId, string $entityCode)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'appendSummaryFieldsToCollection');
        return $pluginInfo ? $this->___callPlugins('appendSummaryFieldsToCollection', func_get_args(), $pluginInfo) : parent::appendSummaryFieldsToCollection($productCollection, $storeId, $entityCode);
    }
}
